export declare type FormEvent<T> = {
    bubbles: boolean;
    currentTarget: EventTarget & T;
    cancelable: boolean;
    defaultPrevented: boolean;
    eventPhase: number;
    isTrusted: boolean;
    nativeEvent: Event;
    preventDefault(): void;
    isDefaultPrevented(): boolean;
    stopPropagation(): void;
    isPropagationStopped(): boolean;
    persist(): void;
    target: EventTarget;
    timeStamp: number;
    type: string;
};
export declare class Component {
    tag: any;
    props: any;
    children: any;
    hooks: any;
    name: any;
    componentId: any;
    mutationListener: any;
    componentInstanceId: any;
    mountListeners: any;
    unmountListeners: any;
    reconcileListeners: any;
    nextHookIndex: any;
    parent: any;
    context: any;
    vtree: any;
    isReconciling: any;
    asyncRender: any;
    static nextComponentId: number;
    static current: any;
    constructor(tag: any, props: any, children: any);
    mount(parent: any, context: any): this;
    addHook(hook: any): void;
    getHook(): any;
    hasChangedProps(propsA: any, propsB: any): boolean;
    reconcile(next: any, force?: any): any;
    reconcileChildComponent(...args: any[]): any;
    isNull(): boolean;
    getElement(): any;
    getChild(): any;
    unmount(): this;
}
