import { TApp, IConfig } from 'overmind';
export declare function useOvermind<Config extends IConfig>(): {
    state: TApp<Config>['state'];
    actions: TApp<Config>['actions'];
};
export declare function useState<T>(initialState: T): [T, (update: T) => void];
export declare function useEffect(effect: any, mem?: any): void;
export declare function useRef(): any;
