/// <reference types="react" />
import { Component } from './Component';
import { Element } from './Element';
export { FormEvent } from './Component';
export declare type Component<Props = object> = (props: Props extends {
    children: any;
} ? Props : Props & {
    children?: any;
}) => JSX.Element;
export * from './hooks';
export declare function createElement(tag: any, props: any, ...children: any[]): Component | Element;
export declare const h: typeof createElement;
export declare function render(app: any, source: any, target: any, factory?: any): Element;
